Bug 695942 - CVE-2011-1678 samba/cifs-utils: mount.cifs and umount.cifs fail to anticipate RLIMIT_FSIZE [fedora-all]
CVE-2011-1678 samba/cifs-utils: mount.cifs and umount.cifs fail to anticipate...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cifs-utils (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-1678
  Show dependency treegraph
 
Reported: 2011-04-12 18:38 EDT by Vincent Danen
Modified: 2014-06-18 03:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: cifs-utils-4.8.1-6.fc14
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-22 15:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-04-12 18:38:12 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=695925

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2011-04-13 13:55:53 EDT
This should be cifs-utils, not samba.
Comment 2 Jeff Layton 2011-07-08 16:18:30 EDT
Patch for this posted upstream:

    http://article.gmane.org/gmane.linux.kernel.cifs/3704

I plan to merge it into upstream cifs-utils next week if there are no objections. Once that's done, we'll look at getting the fix into Fedora.
Comment 3 Jeff Layton 2011-07-12 08:25:52 EDT
Made a minor revision to the patch:

http://article.gmane.org/gmane.linux.kernel.cifs/3738

...and committed it this morning. I'll see about building an updated cifs-utils soon.
Comment 4 Jeff Layton 2011-07-12 08:34:05 EDT
This is NOTABUG on rawhide or f15 as /etc/mtab there is a symlink. I'll plan to put the patch in f14 though.
Comment 5 Fedora Update System 2011-07-12 08:46:56 EDT
cifs-utils-4.8.1-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cifs-utils-4.8.1-6.fc14
Comment 6 Fedora Update System 2011-07-12 18:02:24 EDT
Package cifs-utils-4.8.1-6.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cifs-utils-4.8.1-6.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/cifs-utils-4.8.1-6.fc14
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-07-22 15:40:10 EDT
cifs-utils-4.8.1-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.